classification
Title: Timeout in CGIXMLRPCRequestHandler under IIS
Type: Stage:
Components: Windows Versions: Python 2.6, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alexandre.vassalotti, steenie
Priority: normal Keywords: patch

Created on 2007-09-27 16:25 by steenie, last changed 2009-06-29 06:52 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
SimpleXMLRPCServer.diff steenie, 2007-09-27 16:25
check-content-length.patch alexandre.vassalotti, 2007-12-04 02:16
Messages (3)
msg56168 - (view) Author: Ralf Steenbock (steenie) Date: 2007-09-27 16:25
Using CGIXMLRPCRequestHandler results in a timeout if running behind
Internet Information Server/CGI. Maybe there is no eof on sys.stdin
under IIS and python continues to read even if there is no more data
available. The same runs without problems under Apache/CGI.
Reading only os.environ['CONTENT_LENGTH'] bytes from sys.stdin will as
well work under IIS (see patch).
msg58171 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2007-12-04 02:16
Looks good to me. I updated the patch to use .get() with a default value
instead of a if-statement with .has_key().
msg89817 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-06-29 06:52
This has been fixed in 2.6 and 3.x.

Closing.
History
Date User Action Args
2009-06-29 06:52:01alexandre.vassalottisetstatus: open -> closed
resolution: fixed
messages: + msg89817
2007-12-04 02:16:49alexandre.vassalottisetpriority: normal
files: + check-content-length.patch
messages: + msg58171
nosy: + alexandre.vassalotti
2007-09-27 18:25:20loewissetkeywords: + patch
2007-09-27 16:25:56steeniecreate